@font-face {
    font-family:'jetbrains-mono';
    font-style:normal;
    font-weight:400;
    src:local(jetbrains-mono),local('JetBrains Mono Regular'),url(../fonts/JetBrainsMono-Regular.ttf)
    }
    
    @font-face {
    font-family:'jetbrains-mono';
    font-style:italic;
    font-weight:400;
    src:local(jetbrains-mono),local('JetBrains Mono Italic'),url(../fonts/JetBrainsMono-Italic.ttf)
    }
    
    @font-face {
    font-family:'jetbrains-mono';
    font-style:normal;
    font-weight:700;
    src:local(jetbrains-mono),local('JetBrains Mono Bold'),url(../fonts/JetBrainsMono-Bold.ttf)
    }
    
    @font-face {
    font-family:'jetbrains-mono';
    font-style:italic;
    font-weight:700;
    src:local(jetbrains-mono),local('JetBrains Mono Bold Italic'),url(../fonts/JetBrainsMono-Bold-Italic.ttf)
    }

html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td,article,aside,canvas,details,embed,figure,figcaption,footer,header,hgroup,menu,nav,output,ruby,section,summary,time,mark,audio,video
{
	border:0;
	margin:0;
	padding:0;
	vertical-align:baseline
}

article,aside,details,figcaption,figure,footer,header,hgroup,menu,nav,section
{
	display:block
}

body
{
	background:#fff;
	color:#333;
	font:14px Verdana;
	line-height:20px;
	margin:0;
	padding-bottom:40px
}

a
{
	color:#271f47;
	text-decoration:none
}

a.xref
{
	color:#271f47;
	text-decoration:underline
}

blockquote,q
{
	quotes:none
}

blockquote:before,blockquote:after,q:before,q:after
{
	content:none
}

h1,h2,h3,h4,h5,h6
{
	color:#271f47;
	font-family:Verdana,Geneva,Tahoma,sans-serif;
	font-weight:700
}

h1 a,h2 a,h3 a,h4 a,h5 a,h6 a
{
	font-weight:inherit
}

h1
{
	font-size:25px;
	line-height:130%;
	margin-bottom:30px;
	margin-top:10px
}

h2
{
	font-size:25px;
	line-height:34px;
	margin-bottom:5px
}

h3
{
	font-size:22px;
	line-height:30px;
	margin-bottom:3px
}

h4
{
	font-size:16px;
	line-height:24px;
	margin-bottom:2px
}

.topictitle1
{
	font-size:24px;
	text-transform:uppercase
}

.topictitle2
{
	color:#271f47;
	font-family:arial;
	font-size:22px;
	font-weight:700;
	margin-bottom:30px;
	margin-top:50px;
	text-transform:uppercase
}

.topictitle3
{
	font-size:1.17em;
	font-weight:700;
	margin-bottom:.17em;
	margin-top:1pc
}

.topictitle4
{
	font-size:1.17em;
	font-weight:700;
	margin-top:.83em
}

.topictitle5
{
	font-size:1.17em;
	font-weight:700
}

.topictitle6
{
	font-size:1.17em;
	font-style:italic
}

.sectiontitle
{
	font-size:1.4em;
	margin-bottom:.5em;
	margin-top:2em
}

h2.tasklabel,h3.tasklabel,h4.tasklabel,h5.tasklabel,h6.tasklabel
{
	font-size:100%
}

.defkwd
{
	font-weight:700;
	text-decoration:underline
}

.dlterm
{
	font-weight:700;
	margin-top:4px
}

.dltermexpand
{
	font-weight:700;
	margin-top:1em
}

[compact=yes]>li
{
	margin-top:0
}

[compact=no]>li
{
	margin-top:.53em
}

div.imagecenter
{
	text-align:center
}

div.imageright
{
	text-align:right
}

div.imagejustify
{
	text-align:justify
}

pre.screen
{
	background-color:#CCC;
	border:outset;
	margin-bottom:2px;
	margin-top:2px;
	padding:5px;
	white-space:pre
}

.filepath, .codeph, .apiname
{
	background-color:#F2F2F2;
	border-radius:3px;
	box-sizing:border-box;
	display:inline-block;
	font-family: jetbrains-mono, 'Courier New',Courier,monospace;
	font-size:13px;
	font-weight: normal!important;
	padding:0 2px;
	vertical-align:baseline
}

.nested0,.p
{
	margin-top:1em
}

.ullinks,ul.simple
{
	list-style-type:none;
	margin-left:10px
}

.ulchildlink,.olchildlink,.relconcepts,.reltasks,.relref,.relinfo,.section,.example,div.tasklabel,.note,.tip,.fastpath,.important,.remember,.restriction,.attention,.danger,.warning
{
	margin-bottom:1em;
	margin-top:1em
}

.linklist,.caution
{
	margin-bottom:1em
}

.linklistwithchild,.sublinklist
{
	margin-bottom:1em;
	margin-left:1.5em
}

.notetitle,.importanttitle,.attentiontitle,.dangertitle,.cautiontitle
{
	display:block;
	font-weight:400;
	padding-bottom:10px;
	text-transform:uppercase
}

.p
{
	margin-top:.6em
}

.notecontent p
{
	margin-top:.1em
}

p img
{
	margin:0
}

p.lead
{
	color:#58595b;
	font-size:21px;
	line-height:27px
}

small
{
	font-size:80%
}

blockquote,blockquote p
{
	color:#58595b;
	font-size:17px;
	font-style:italic;
	line-height:24px
}

blockquote
{
	border-left:1px solid #ddd;
	margin:0 0 20px;
	padding:9px 20px 0 19px
}

blockquote cite
{
	color:#58595b;
	display:block;
	font-size:12px
}

blockquote cite:before
{
	content:"2014 020"
}

hr
{
	border:solid #ddd;
	border-width:1px 0 0;
	clear:both;
	height:0;
	margin:10px 0 30px
}

table
{
	border-collapse:collapse;
	border-spacing:0;
	display:table;
	width:100%
}

table td
{
	padding:8px;
	vertical-align:top
}

table,th,td
{
	border:1px solid #271f47
}

table th
{
	background-color:#271f47;
	color:#fff;
	padding:8px;
	text-align:center
}

a,a:visited
{
	color:#271f47
}

a:hover,a:focus
{
	color:#00adbb
}

ul,ol
{
	margin-top:.6em;
	padding-left:1.4em
}

ol
{
	list-style:decimal
}

li
{
	color:#333;
	line-height:18px;
	margin-bottom:6px;
	vertical-align:top
}

ol ol
{
	list-style-type:decimal
}

img.scale-with-grid
{
	height:auto;
	max-width:100%
}

.shortdesc
{
	color:#58595b;
	font-style:italic;
	font-weight:700;
	margin-bottom:30px;
	margin-top:10px
}

dl dl
{
	margin-left:15px
}

dt
{
	font-weight:700;
	margin-bottom:0
}

dd
{
	margin-left:6px;
	margin-top:0
}

.uicontrol
{
	font-weight:600
}

.fignone
{
	margin-bottom:10pt;
	margin-top:10pt;
	text-align:left
}

.choicetableborder
{
	margin-bottom:10pt;
	margin-top:10pt
}

.codeblock
{
	line-height: 14px;
	background:#f2f2f2;
	border:1px solid #d3d3d3;
	font-family: jetbrains-mono, 'Courier New',Courier,monospace;
	font-size:9pt;
	margin-bottom:30px;
	margin-top:8px;
	padding:10px 10px 10px 5px;
	white-space: pre-wrap
}


.term
{
	font-family:Verdana,Geneva,Tahoma,sans-serif;
	font-style:italic
}

ul.large li,li p
{
	line-height:19px
}

ol li p
{
	margin-bottom:0;
	margin-top:0
}

.highlight
{
	background-color:#fec01f
}

.hl-keyword
{
	color:#7f0055;
	font-weight:700
}

.hl-directive
{
	color:maroon
}

.hl-annotation
{
	color:gray
}

.hl-tag
{
	color:teal
}

.hl-attribute
{
	color:#7f0055
}

.hl-xslt
{
	color:red
}

.hl-string,.hl-value
{
	color:blue
}

.hl-multiline-comment,.hl-comment
{
	color:#3f7f5f
}

.hl-doccomment,.hl-doctype
{
	color:#3f5fbf
}

.noteblock_note,.noteblock_important,.noteblock_attention
{
	margin-bottom:1.5em;
	margin-top:1.5em
}

.noteblock_note
{
	background:#333
}

.noteblock_important
{
	background:#ca3625
}

.notecontent
{
	background:#fff;
	margin-left:10px;
	padding:8px
}

.fncontainer
{
	border-color:#d3d3d3;
	border-style:solid;
	border-width:1px 0 0;
	margin-top:20px
}

.fn
{
	font-size:12px
}

sup
{
	font-size:12px;
	font-weight: bolder;
	vertical-align:super
}

.tablenoborder
{
	margin-bottom:20px;
	margin-top:20px
}

.related-links
{
	margin-top:30px
}

.li img
{
	display:inline;
	vertical-align:top
}

.li
{
	vertical-align:top
}

.coverHeader,.coverProdName
{
	color:#271f47;
	font-size:26px;
	font-weight:500;
	line-height:26px;
	padding-bottom:10px;
	padding-top:10px
}

.coverDocumentName
{
	font-size:20px;
	font-weight:400;
	padding-bottom:8px
}

.coverSubNameModule
{
	font-size:16px;
	font-weight:200;
	padding-bottom:4px
}

.coverProgramVersion
{
	font-size:18px;
	font-weight:200;
	padding-bottom:4px;
	padding-top:4px
}

.coverDescription
{
	font-size:14px;
	padding-bottom:15px;
	padding-top:20px
}

.coverDocumentVersion
{
	color:#333
}

div.dim
{
	color:#333!important
}

div.feedback
{
	background:#fff;
	bottom:0;
	display:block;
	height:40px;
	left:14px;
	padding-top:10px;
	position:fixed;
	right:14px;
	z-index:101
}

html
{
	padding:14px
}

.feedback a
{
	color:#d85143;
	font-weight:600
}

.bolditalic
{
	font-style:italic;
	font-weight:700
}

.keyword
{
	font-weight:700
}

.parmname, .varname
{
	font-style:italic;
	font-weight:normal!important
}


div.imageleft,caption
{
	text-align:left
}

.notelisttitle,.tiptitle,.fastpathtitle,.remembertitle,.restrictiontitle,.warningtitle,.firstcol,.bold,.uicontrol,.parmname,.kwd,strong,.thead,.keyword,.b
{
	font-weight:700
}

.italic,.var,.wintitle,.userinput,.systemoutput,em
{
	font-style:italic
}

h5,h6
{
	font-size:14px;
	line-height:20px
}

.subheader,blockquote cite a,blockquote cite a:visited,blockquote cite a:visited
{
	color:#58595b
}

.underlined,.shortcut
{
	text-decoration:underline
}

.unresolved
{
	background-color:#87CEEB
}

.notemplate
{
	background-color:#FF0
}

.base
{
	background-color:#fff
}

.tablecap
{
	display:inline-block;
	font-weight:700;
	margin-bottom:6px
}

.fig{
display: block;
	margin-bottom:2em;
	margin-top:2em;
}

.figimage{
	display: flex; 
	justify-content:center;
	align-items: center
}
.figcap
{

	font-weight:700;
	margin-bottom:6px;
	margin-top:2px;
	display: flex; 
	justify-content:center;
	align-items: center
}

.figdesc
{
	font-style:normal
}

.figborder
{
	border-color:Silver;
	border-style:solid;
	border-width:2px;
	margin-top:1em;
	padding-left:3px;
	padding-right:3px
}

.figsides
{
	border-color:Silver;
	border-left:2px solid;
	border-right:2px solid;
	margin-top:1em;
	padding-left:3px;
	padding-right:3px
}

.figtop
{
	border-color:Silver;
	border-top:2px solid;
	margin-top:1em
}

.figbottom
{
	border-bottom:2px solid;
	border-color:Silver
}

.figtopbot
{
	border-bottom:2px solid;
	border-color:Silver;
	border-top:2px solid;
	margin-top:1em
}

.breadcrumb
{
	font-size:smaller;
	margin-bottom:1em
}

dt.prereq
{
	margin-left:20px
}